<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>RegisterListComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/voting-material/register/register-list.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
                <code><a href="https://angular.io/api/core/OnDestroy" target="_blank" >OnDestroy</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>register-list</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./register-list.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./register-list.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#_readOnly">_readOnly</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#_subscriptions">_subscriptions</a>
                            </li>
                            <li>
                                <a href="#dataSource">dataSource</a>
                            </li>
                            <li>
                                <a href="#importedRegisterFiles">importedRegisterFiles</a>
                            </li>
                            <li>
                                <a href="#sort">sort</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#getConsolidatedReport">getConsolidatedReport</a>
                            </li>
                            <li>
                                <a href="#getReport">getReport</a>
                            </li>
                            <li>
                                <a href="#ngOnDestroy">ngOnDestroy</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#remove">remove</a>
                            </li>
                            <li>
                                <a href="#uploadRegister">uploadRegister</a>
                            </li>
                            <li>
                                <a href="#userManagementEntityCanDelete">userManagementEntityCanDelete</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#operation">operation</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#readOnly">readOnly</a>
                                </li>
                                <li>
                                    <a href="#displayedColumns">displayedColumns</a>
                                </li>
                                <li>
                                    <a href="#registerCount">registerCount</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, dialogService: TdDialogService, translateService: TranslateService, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, authorizationService: <a href="../injectables/AuthorizationService.html">AuthorizationService</a>, readOnlyService: <a href="../injectables/ReadOnlyService.html">ReadOnlyService</a>, registerService: <a href="../injectables/RegisterService.html">RegisterService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="30" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:30</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialogService</td>
                                                  
                                                        <td>
                                                                    <code>TdDialogService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>authorizationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/AuthorizationService.html" target="_self" >AuthorizationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>readOnlyService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/ReadOnlyService.html" target="_self" >ReadOnlyService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>registerService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/RegisterService.html" target="_self" >RegisterService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operation"></a>
                        <code>operation</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:27</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getConsolidatedReport"></a>
                        <span class="name">
                            <b>
                            getConsolidatedReport
                            </b>
                            <a href="#getConsolidatedReport"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getConsolidatedReport()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="76" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:76</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getReport"></a>
                        <span class="name">
                            <b>
                            getReport
                            </b>
                            <a href="#getReport"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getReport(messageUniqueId)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="72" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:72</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>messageUniqueId</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnDestroy"></a>
                        <span class="name">
                            <b>
                            ngOnDestroy
                            </b>
                            <a href="#ngOnDestroy"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnDestroy()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="60" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:60</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="64" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:64</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="remove"></a>
                        <span class="name">
                            <b>
                            remove
                            </b>
                            <a href="#remove"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>remove(messageUniqueId, fileName)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="80" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:80</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>messageUniqueId</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>fileName</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadRegister"></a>
                        <span class="name">
                            <b>
                            uploadRegister
                            </b>
                            <a href="#uploadRegister"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>uploadRegister()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="98" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:98</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="userManagementEntityCanDelete"></a>
                        <span class="name">
                            <b>
                            userManagementEntityCanDelete
                            </b>
                            <a href="#userManagementEntityCanDelete"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>userManagementEntityCanDelete(element: <a href="../interfaces/ImportedRegisterFile.html">ImportedRegisterFile</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="102" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:102</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>element</td>
                                                        <td>
                                                                    <code><a href="../interfaces/ImportedRegisterFile.html" target="_self" >ImportedRegisterFile</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="_readOnly"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            _readOnly
                            </b>
                            <a href="#_readOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>_readOnly:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="42" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:42</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="_subscriptions"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            _subscriptions
                            </b>
                            <a href="#_subscriptions"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>_subscriptions:     <code>Subscription[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Subscription[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="30" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:30</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dataSource"></a>
                        <span class="name">
                            <b>
                            dataSource
                            </b>
                            <a href="#dataSource"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>dataSource:     <code><a href="../interfaces/ImportedRegisterFile.html" target="_self" >ImportedRegisterFileDataSource</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../interfaces/ImportedRegisterFile.html" target="_self" >ImportedRegisterFileDataSource</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:25</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="importedRegisterFiles"></a>
                        <span class="name">
                            <b>
                            importedRegisterFiles
                            </b>
                            <a href="#importedRegisterFiles"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>importedRegisterFiles:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>new BehaviorSubject&lt;ImportedRegisterFile[]&gt;([])</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="28" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:28</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="sort"></a>
                        <span class="name">
                            <b>
                            sort
                            </b>
                            <a href="#sort"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>sort:     <code>MatSort</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>MatSort</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @ViewChild(MatSort)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:29</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="readOnly"></a>
                        <span class="name"><b>readOnly</b><a href="#readOnly"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>readOnly()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="44" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:44</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayedColumns"></a>
                        <span class="name"><b>displayedColumns</b><a href="#displayedColumns"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displayedColumns()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="48" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:48</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="registerCount"></a>
                        <span class="name"><b>registerCount</b><a href="#registerCount"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>registerCount()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="55" class="link-to-prism">src/app/operation/voting-material/register/register-list.component.ts:55</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input, OnDestroy, OnInit, ViewChild } from &quot;@angular/core&quot;;
import { MatSort } from &quot;@angular/material&quot;;
import { BehaviorSubject } from &quot;rxjs/BehaviorSubject&quot;;
import { ActivatedRoute, Router } from &quot;@angular/router&quot;;
import { DataSource } from &quot;@angular/cdk/collections&quot;;
import { Observable } from &quot;rxjs/Observable&quot;;
import { TdDialogService } from &quot;@covalent/core&quot;;
import { TranslateService } from &quot;@ngx-translate/core&quot;;
import { Operation } from &quot;../../model/operation&quot;;
import { sortOnProperty } from &quot;../../../core/util/table-utils&quot;;
import { ImportedRegisterFile } from &quot;./model/imported-register-file&quot;;
import { RegisterService } from &quot;./services/register.service&quot;;
import { OperationManagementService } from &#x27;../../service/operation-managment.service&#x27;;
import { map, merge } from &#x27;rxjs/operators&#x27;;
import { AuthorizationService } from &#x27;../../../core/service/http/authorization.service&#x27;;
import { ReadOnlyService } from &#x27;../../service/read-only.service&#x27;;
import { Subscription } from &#x27;rxjs/Subscription&#x27;;

@Component({
  selector: &#x27;register-list&#x27;,
  templateUrl: &#x27;./register-list.component.html&#x27;,
  styleUrls: [&#x27;./register-list.component.scss&#x27;]
})
export class RegisterListComponent implements OnInit, OnDestroy {
  dataSource: ImportedRegisterFileDataSource;
  @Input()
  operation: Operation;
  importedRegisterFiles &#x3D; new BehaviorSubject&lt;ImportedRegisterFile[]&gt;([]);
  @ViewChild(MatSort) sort: MatSort;
  private _subscriptions: Subscription[] &#x3D; [];

  constructor(private route: ActivatedRoute,
              private dialogService: TdDialogService,
              private translateService: TranslateService,
              private router: Router,
              private operationManagementService: OperationManagementService,
              private authorizationService: AuthorizationService,
              private readOnlyService: ReadOnlyService,
              private registerService: RegisterService) {
  }

  private _readOnly &#x3D; false;

  get readOnly(): boolean {
    return this._readOnly;
  }

  get displayedColumns() {

    return [&quot;managementEntity&quot;, &quot;fileName&quot;, &quot;uploadDetails&quot;, &quot;statistics&quot;]
      .concat(this.readOnly || !this.authorizationService.hasAtLeastOneRole([&#x27;DELETE_REGISTER_FILE&#x27;]) ? [] : [&quot;delete&quot;])
      .concat(this.authorizationService.hasAtLeastOneRole([&#x27;GET_REGISTER_REPORT&#x27;]) ? [&quot;detailedReport&quot;] : []);
  }

  get registerCount(): number {
    let registers &#x3D; this.importedRegisterFiles.getValue();
    return registers ? registers.length : 0;
  }

  ngOnDestroy(): void {
    this._subscriptions.forEach(s &#x3D;&gt; s.unsubscribe());
  }

  ngOnInit() {
    this.registerService.getReports(this.operation.id).subscribe(reports &#x3D;&gt; this.importedRegisterFiles.next(reports));
    this.dataSource &#x3D; new ImportedRegisterFileDataSource(this.importedRegisterFiles, this.sort);
    this._subscriptions.push(
      this.readOnlyService.isRegisterInReadOnly().subscribe(readOnly &#x3D;&gt; this._readOnly &#x3D; readOnly));

  }

  getReport(messageUniqueId) {
    this.registerService.downloadReport(messageUniqueId, this.operation.id);
  }

  getConsolidatedReport() {
    this.registerService.downloadConsolidatedReport(this.operation.id);
  }

  remove(messageUniqueId, fileName) {
    this.dialogService.openConfirm({
      message: this.translateService.instant(&#x27;voting-material.register.delete-dialog.message&#x27;, {fileName: fileName}),
      disableClose: true,
      cancelButton: this.translateService.instant(&#x27;global.actions.no&#x27;),
      acceptButton: this.translateService.instant(&#x27;global.actions.yes&#x27;),
    }).afterClosed().subscribe((accept: boolean) &#x3D;&gt; {
      if (accept) {
        this.registerService.remove(this.operation.id, messageUniqueId)
          .subscribe(() &#x3D;&gt; {
            this.importedRegisterFiles.next(
              this.importedRegisterFiles.getValue().filter((rf) &#x3D;&gt; rf.messageUniqueId !&#x3D; messageUniqueId));
          });
        this.operationManagementService.shouldUpdateStatus();
      }
    });
  }

  uploadRegister() {
    this.router.navigate([&#x27;upload&#x27;], {relativeTo: this.route});
  }

  userManagementEntityCanDelete(element: ImportedRegisterFile) {
    const userManagementEntity &#x3D; this.authorizationService.userSnapshot.managementEntity;
    return element.managementEntity &#x3D;&#x3D;&#x3D; userManagementEntity ||
           this.operation.managementEntity &#x3D;&#x3D;&#x3D; userManagementEntity;
  }


}

class ImportedRegisterFileDataSource extends DataSource&lt;any&gt; {

  constructor(private data: BehaviorSubject&lt;ImportedRegisterFile[]&gt;, private sort: MatSort) {
    super();
  }

  connect(): Observable&lt;any[]&gt; {
    return this.data.pipe(
      merge(this.sort.sortChange),
      map(() &#x3D;&gt; sortOnProperty(this.data.getValue(), this.sort.active, this.sort.direction))
    );
  }

  disconnect() {
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;mat-card id&#x3D;&quot;registerEdit&quot; [class.read-only]&#x3D;&quot;readOnly&quot;&gt;
  &lt;mat-card-header&gt;
    &lt;mat-card-title&gt;{{ &quot;voting-material.register.title&quot; | translate }}&lt;/mat-card-title&gt;
    &lt;mat-card-subtitle&gt;{{ &quot;voting-material.register.subtitle&quot; | translate }}&lt;/mat-card-subtitle&gt;
  &lt;/mat-card-header&gt;
  &lt;mat-card-content fxLayout&#x3D;&quot;column&quot; class&#x3D;&quot;no-padding&quot;&gt;

    &lt;div class&#x3D;&quot;mat-card-button-toolbar&quot;
         fxLayout fxLayoutAlign&#x3D;&quot;end&quot; fxLayoutGap&#x3D;&quot;2.5rem&quot;&gt;
      &lt;ng-container *roles&#x3D;&quot;[&#x27;GET_REGISTER_REPORT&#x27;]&quot;&gt;
        &lt;button *ngIf&#x3D;&quot;registerCount &gt; 0&quot; id&#x3D;&quot;consolidatedReportButton&quot; mat-button color&#x3D;&quot;primary&quot;
                (click)&#x3D;&quot;getConsolidatedReport()&quot;&gt;
          {{&quot;voting-material.register.actions.download-global-report&quot; | translate | uppercase}}
        &lt;/button&gt;
      &lt;/ng-container&gt;

      &lt;ng-container *roles&#x3D;&quot;[&#x27;UPLOAD_REGISTER_FILE&#x27;]&quot;&gt;
        &lt;button mat-raised-button (click)&#x3D;&quot;uploadRegister()&quot; color&#x3D;&quot;primary&quot; id&#x3D;&quot;uploadRegister&quot; *ngIf&#x3D;&quot;!readOnly&quot;&gt;
          &lt;mat-icon&gt;file_upload&lt;/mat-icon&gt;&amp;nbsp;{{&quot;voting-material.register.actions.import&quot; | translate | uppercase}}
        &lt;/button&gt;
      &lt;/ng-container&gt;
    &lt;/div&gt;

    &lt;div [hidden]&#x3D;&quot;registerCount &#x3D;&#x3D;&#x3D; 0&quot;&gt;

      &lt;mat-table #table [dataSource]&#x3D;&quot;dataSource&quot; matSort id&#x3D;&quot;registerFilesTable&quot;&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;managementEntity&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt;
            {{&quot;voting-material.register.grid.header.managementEntity&quot; | translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.managementEntity}}&lt;/mat-cell&gt;
        &lt;/ng-container&gt;


        &lt;ng-container matColumnDef&#x3D;&quot;fileName&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt; {{&quot;voting-material.register.grid.header.file&quot; |
            translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.fileName}}&lt;/mat-cell&gt;
        &lt;/ng-container&gt;

        &lt;ng-container matColumnDef&#x3D;&quot;uploadDetails&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef&gt; {{&quot;voting-material.register.grid.header.uploadDetails&quot; | translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
            &lt;div&gt;
              &lt;span class&#x3D;&quot;field-title&quot;&gt;
                {{&quot;voting-material.register.grid.header.uploader&quot; | translate}} :
              &lt;/span&gt;
              &lt;span class&#x3D;&quot;field-value uploader&quot;&gt;
              {{element.uploader}}
              &lt;/span&gt;
            &lt;/div&gt;
            &lt;div&gt;
              &lt;span class&#x3D;&quot;field-title&quot;&gt;
                {{&quot;voting-material.register.grid.header.upload-date&quot; | translate}} :
              &lt;/span&gt;
              &lt;span class&#x3D;&quot;field-value upload-date&quot;&gt;
              {{element.uploadDate | date:&#x27;dd.MM.yyyy&#x27;}}
              &lt;/span&gt;
            &lt;/div&gt;
            &lt;div&gt;
              &lt;span class&#x3D;&quot;field-title&quot;&gt;
                {{&quot;voting-material.register.grid.header.emitter&quot; | translate}} :
              &lt;/span&gt;
              &lt;span class&#x3D;&quot;field-value emitter&quot;&gt;
                {{element.emitter}}
              &lt;/span&gt;
            &lt;/div&gt;
            &lt;div&gt;
              &lt;span class&#x3D;&quot;field-title&quot;&gt; {{&quot;voting-material.register.grid.header.emission-date&quot; | translate}} : &lt;/span&gt;
              &lt;span class&#x3D;&quot;field-value emission-date&quot;&gt;
              {{element.emissionDate | date:&#x27;dd.MM.yyyy&#x27;}}
              &lt;/span&gt;
            &lt;/div&gt;
          &lt;/mat-cell&gt;
        &lt;/ng-container&gt;

        &lt;ng-container matColumnDef&#x3D;&quot;statistics&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef&gt; {{&quot;voting-material.register.grid.header.statistics&quot; |
            translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
            &lt;div&gt;
              &lt;span class&#x3D;&quot;field-title&quot;&gt; {{&quot;voting-material.register.grid.header.voter-count&quot; | translate}} : &lt;/span&gt;
              &lt;span class&#x3D;&quot;field-value voter-count&quot;&gt;
              {{element.voterCount}}
              &lt;/span&gt;
            &lt;/div&gt;
            &lt;div&gt;
              &lt;span class&#x3D;&quot;field-title&quot;&gt; {{&quot;voting-material.register.grid.header.doi-count&quot; | translate}} : &lt;/span&gt;
              &lt;span class&#x3D;&quot;field-value doi-count&quot;&gt;
              {{element.doiCount}}
              &lt;/span&gt;
            &lt;/div&gt;
            &lt;div&gt;
              &lt;span
                class&#x3D;&quot;field-title&quot;&gt; {{&quot;voting-material.register.grid.header.counting-circle-count&quot; | translate}} : &lt;/span&gt;
              &lt;span class&#x3D;&quot;field-value counting-circle-count&quot;&gt;
              {{element.countingCircleCount}}
              &lt;/span&gt;
            &lt;/div&gt;
          &lt;/mat-cell&gt;
        &lt;/ng-container&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;detailedReport&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef&gt; {{&quot;voting-material.register.grid.header.detailed-report&quot; | translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
            &lt;button mat-icon-button
                    color&#x3D;&quot;primary&quot;
                    (click)&#x3D;&quot;getReport(element.messageUniqueId)&quot;&gt;
              &lt;mat-icon&gt;search&lt;/mat-icon&gt;
            &lt;/button&gt;
          &lt;/mat-cell&gt;
        &lt;/ng-container&gt;
        &lt;ng-container matColumnDef&#x3D;&quot;delete&quot;&gt;
          &lt;mat-header-cell *matHeaderCellDef&gt; {{&quot;voting-material.register.grid.header.delete&quot; | translate}}
          &lt;/mat-header-cell&gt;
          &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
            &lt;button mat-icon-button
                    color&#x3D;&quot;accent&quot;
                    *ngIf&#x3D;&quot;userManagementEntityCanDelete(element)&quot;
                    (click)&#x3D;&quot;remove(element.messageUniqueId, element.fileName)&quot;&gt;
              &lt;mat-icon&gt;clear&lt;/mat-icon&gt;
            &lt;/button&gt;
          &lt;/mat-cell&gt;
        &lt;/ng-container&gt;

        &lt;mat-header-row *matHeaderRowDef&#x3D;&quot;displayedColumns&quot;&gt;&lt;/mat-header-row&gt;
        &lt;mat-row *matRowDef&#x3D;&quot;let row; columns: displayedColumns;&quot;&gt;&lt;/mat-row&gt;
      &lt;/mat-table&gt;
    &lt;/div&gt;
  &lt;/mat-card-content&gt;
&lt;/mat-card&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./register-list.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">mat-cell {
  padding: 10px 0;
}

.mat-column-managementEntity {
  flex: 0 0 15rem;
}

.mat-column-fileName {
  flex: 1 0 10rem;
}

.mat-column-uploadDetails {
  flex: 0 0 20rem;
}

.mat-column-statistics {
  flex: 0 0 25rem;
}

.mat-column-detailedReport {
  flex: 0 0 7rem;
}

.mat-column-delete {
  flex: 0 0 7rem;
}


</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><mat-card id="registerEdit" [class.read-only]="readOnly">  <mat-card-header>    <mat-card-title>{{ "voting-material.register.title" | translate }}</mat-card-title>    <mat-card-subtitle>{{ "voting-material.register.subtitle" | translate }}</mat-card-subtitle>  </mat-card-header>  <mat-card-content fxLayout="column" class="no-padding">    <div class="mat-card-button-toolbar"         fxLayout fxLayoutAlign="end" fxLayoutGap="2.5rem">      <ng-container *roles="[\'GET_REGISTER_REPORT\']">        <button *ngIf="registerCount > 0" id="consolidatedReportButton" mat-button color="primary"                (click)="getConsolidatedReport()">          {{"voting-material.register.actions.download-global-report" | translate | uppercase}}        </button>      </ng-container>      <ng-container *roles="[\'UPLOAD_REGISTER_FILE\']">        <button mat-raised-button (click)="uploadRegister()" color="primary" id="uploadRegister" *ngIf="!readOnly">          <mat-icon>file_upload</mat-icon>&nbsp;{{"voting-material.register.actions.import" | translate | uppercase}}        </button>      </ng-container>    </div>    <div [hidden]="registerCount === 0">      <mat-table #table [dataSource]="dataSource" matSort id="registerFilesTable">        <ng-container matColumnDef="managementEntity">          <mat-header-cell *matHeaderCellDef mat-sort-header>            {{"voting-material.register.grid.header.managementEntity" | translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element"> {{element.managementEntity}}</mat-cell>        </ng-container>        <ng-container matColumnDef="fileName">          <mat-header-cell *matHeaderCellDef mat-sort-header> {{"voting-material.register.grid.header.file" |            translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element"> {{element.fileName}}</mat-cell>        </ng-container>        <ng-container matColumnDef="uploadDetails">          <mat-header-cell *matHeaderCellDef> {{"voting-material.register.grid.header.uploadDetails" | translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element">            <div>              <span class="field-title">                {{"voting-material.register.grid.header.uploader" | translate}} :              </span>              <span class="field-value uploader">              {{element.uploader}}              </span>            </div>            <div>              <span class="field-title">                {{"voting-material.register.grid.header.upload-date" | translate}} :              </span>              <span class="field-value upload-date">              {{element.uploadDate | date:\'dd.MM.yyyy\'}}              </span>            </div>            <div>              <span class="field-title">                {{"voting-material.register.grid.header.emitter" | translate}} :              </span>              <span class="field-value emitter">                {{element.emitter}}              </span>            </div>            <div>              <span class="field-title"> {{"voting-material.register.grid.header.emission-date" | translate}} : </span>              <span class="field-value emission-date">              {{element.emissionDate | date:\'dd.MM.yyyy\'}}              </span>            </div>          </mat-cell>        </ng-container>        <ng-container matColumnDef="statistics">          <mat-header-cell *matHeaderCellDef> {{"voting-material.register.grid.header.statistics" |            translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element">            <div>              <span class="field-title"> {{"voting-material.register.grid.header.voter-count" | translate}} : </span>              <span class="field-value voter-count">              {{element.voterCount}}              </span>            </div>            <div>              <span class="field-title"> {{"voting-material.register.grid.header.doi-count" | translate}} : </span>              <span class="field-value doi-count">              {{element.doiCount}}              </span>            </div>            <div>              <span                class="field-title"> {{"voting-material.register.grid.header.counting-circle-count" | translate}} : </span>              <span class="field-value counting-circle-count">              {{element.countingCircleCount}}              </span>            </div>          </mat-cell>        </ng-container>        <ng-container matColumnDef="detailedReport">          <mat-header-cell *matHeaderCellDef> {{"voting-material.register.grid.header.detailed-report" | translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element">            <button mat-icon-button                    color="primary"                    (click)="getReport(element.messageUniqueId)">              <mat-icon>search</mat-icon>            </button>          </mat-cell>        </ng-container>        <ng-container matColumnDef="delete">          <mat-header-cell *matHeaderCellDef> {{"voting-material.register.grid.header.delete" | translate}}          </mat-header-cell>          <mat-cell *matCellDef="let element">            <button mat-icon-button                    color="accent"                    *ngIf="userManagementEntityCanDelete(element)"                    (click)="remove(element.messageUniqueId, element.fileName)">              <mat-icon>clear</mat-icon>            </button>          </mat-cell>        </ng-container>        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>        <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>      </mat-table>    </div>  </mat-card-content></mat-card></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'RegisterListComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'RegisterListComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
